Ruby on rails supports ms sql server 2000?

sir,

I need some assistance from u regarding the “ROR”. I have one serious
doubt in it.
we have MS SQL server 2000 as a database and since we are shifting now
to ROR from Classic ASP & VB6.0 we don’t have much knowledge about
this.

can you tell me ROR can be used with MS SQL server 2000. we can’t
change the database from our existing sql2000 to other like mysQl n so
on as there are some technical problems may occur.

please provide some assistance. i will be very much thankful to u.

see if this helps

https://github.com/rails-sqlserver/activerecord-sqlserver-adapter

sir i’m using MS SQL SERVER 2000 AND NOT SERVER 2005.
SECONDLY I ALREADY TRIED USING THAT GEM WHICH DOESNT MAKE ANY
DIFFERENCE TO THE ERRORS I’M FACING…

IF I USE MS SQL SERVER 2005 THEN ITS WORKING FINE…

NOW SUGGEST ME. I HOPE MY PROBLEM IS CLEAR TO U.

THANKS.

On Thu, Mar 10, 2011 at 11:34 PM, Er.SALIM MANDREKAR <
[email protected]> wrote:

On Mar 10, 8:25 pm, radhames brito [email protected] wrote:

see if this helps

https://github.com/rails-sqlserver/activerecord-sqlserver-adapter

I already answered your question in the other thread you posted. Here is
what I sent incase you missed it.:

Well the error message is pretty clear. It corresponds to what is
written in
the documentation for activerecord-sqlserver-
adapter:

“This gem should support SQL Server 2005 but not 2000 because of type
changes.”

This gem is not going to do what you want it to do. Instead you should
try
using the gem rails-sqlserver-adapter which does, according to its
documentation, support SQL Server 2000.

https://github.com/adzap/rails-sqlserver-adapter

B.

i get the following error when i click on project name ->generate in
netbeans IDE. help please…

java.lang.NullPointerException

  • at
    org.netbeans.modules.ruby.railsprojects.GeneratorPanel.getSelectedGenerator(GeneratorPanel.java:136)
  • at
    org.netbeans.modules.ruby.railsprojects.GeneratorPanel.isValid(GeneratorPanel.java:459)
  • at java.awt.Component.invalidateIfValid(Component.java:2809)*
  • at java.awt.Component.setLocale(Component.java:1879)*
  • at javax.swing.JComponent.(JComponent.java:584)*
  • at javax.swing.JPanel.(JPanel.java:65)*
  • at javax.swing.JPanel.(JPanel.java:92)*
  • at javax.swing.JPanel.(JPanel.java:100)*
  • at
    org.netbeans.modules.ruby.railsprojects.GeneratorPanel.(GeneratorPanel.java:87)
  • at
    org.netbeans.modules.ruby.railsprojects.GenerateAction.generate(GenerateAction.java:148)
  • at
    org.netbeans.modules.ruby.railsprojects.GenerateAction.performAction(GenerateAction.java:127)
  • at
    org.openide.util.actions.NodeAction$DelegateAction$1.run(NodeAction.java:581)
  • at
    org.netbeans.modules.openide.util.ActionsBridge$ActionRunnable.actionPerformed(ActionsBridge.java:111)
  • at
    org.netbeans.core.ModuleActions.invokeAction(ModuleActions.java:104)*
  • at
    org.netbeans.modules.openide.actions.ActionsBridgeImpl.invokeAction(ActionsBridgeImpl.java:52)
  • at
    org.netbeans.modules.openide.util.ActionsBridge$ActionRunnable.doRun(ActionsBridge.java:102)
  • at
    org.netbeans.modules.openide.util.ActionsBridge$1.run(ActionsBridge.java:71)
  • at
    org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:561)*
    [catch] at
    org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:986)

thanks
*
*

NO NEED TO SHOUT. HE’S TRYING TO HELP.

Best Wishes,
Peter

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs